<?php
/**
 * @package     PHP-Bridge
 * @subpackage  com_phpbridge
 *
 * @copyright   Copyright (C) 2017 Henry Schorradt, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access to this file
defined('_JEXEC') or die;



class Com_PhpBridgeInstallerScript
{
    const EXTENSION_NAME = 'com_phpbridge';

    public function preflight($type, $parent){
        //Delete cache folder if it exists
        $cache = JPATH_ROOT.'/cache/'.self::EXTENSION_NAME.'/';
        if(JFolder::exists($cache)) JFolder::delete($cache);
    }

    public function getParam( $name ) {
        $db = JFactory::getDbo();
        $db->setQuery('SELECT manifest_cache FROM #__extensions WHERE name = "'.self::EXTENSION_NAME.'"');
        $manifest = json_decode( $db->loadResult(), true );
        return $manifest[ $name ];
    }

    public function setParams($param_array) {
        if ( count($param_array) > 0 ) {
            $db = JFactory::getDbo();
            $db->setQuery('SELECT params FROM #__extensions WHERE name = "'.self::EXTENSION_NAME.'"');
            $params = json_decode( $db->loadResult(), true );
            foreach ( $param_array as $name => $value ) {
                $params[ (string) $name ] = (string) $value;
            }
            $paramsString = json_encode( $params );
            $db->setQuery('UPDATE #__extensions SET params = ' . $db->quote( $paramsString ) . ' WHERE name = "'.self::EXTENSION_NAME.'"' );
            $db->execute();
        }
    }
}
